# Uses of Class
org.jboss.modules.ConcurrentClassLoader

Packages that use ConcurrentClassLoader
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ConcurrentClassLoader in org.jboss.modules

Subclasses of ConcurrentClassLoader in org.jboss.modules
Modifier and Type
Class
Description
`class`
`ModuleClassLoader`
A module classloader.
Constructors in org.jboss.modules with parameters of type ConcurrentClassLoader
Modifier
Constructor
Description
`protected`
`ConcurrentClassLoader(ConcurrentClassLoader parent)`
Construct a new instance with the given parent class loader, which must be a concurrent class loader, or `null` to create a root concurrent class loader.
`protected`
`ConcurrentClassLoader(ConcurrentClassLoader parent, String name)`
Construct a new instance with the given parent class loader, which must be a concurrent class loader, or `null` to create a root concurrent class loader.